com.jscape.inet.ipclientssh

## Class SshTunneler

- java.lang.Object
- - com.jscape.inet.ipclientssh.SshTunneler

-     public class SshTunneler
      extends java.lang.Object

  This class is used as SshTunneler for a local service
  Author:
    Alvaro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SshTunneler(int portLocal, SshParameters params, java.lang.String remoteIp, int remotePort)` Creates a new instance of SshTunneler local service.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serviceEnded(com.jscape.inet.ipclientssh.SshTunnelerConnection.SshTunnelerEvent event)` Service ssh tunneler ended event.
    `void` | `start()` Starts the Ssh tunneler service
    `void` | `stop()` Stops the ssh tunneler service.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SshTunneler

          public SshTunneler(int portLocal,
                             SshParameters params,
                             java.lang.String remoteIp,
                             int remotePort)

      Creates a new instance of SshTunneler local service.
      Parameters:
        `portLocal` - The port local will be listened by the service.
        `params` - Ssh connection parameters.
        `remoteIp` - Remote host ip.
        `remotePort` - Remote port.

  - ### Method Detail

    - #### start

          public void start()
                     throws java.lang.Exception

      Starts the Ssh tunneler service
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Stops the ssh tunneler service.
      Throws:
        `java.lang.Exception` - If an error occurs.

    - #### serviceEnded

          public void serviceEnded(com.jscape.inet.ipclientssh.SshTunnelerConnection.SshTunnelerEvent event)

      Service ssh tunneler ended event.
      Parameters:
        `event` - Ssh tunneler event.

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved